| Flutter macOS Embedder |

Instance Methods | Protected Attributes | Properties | List of all members
FlutterWindowOwner Class Reference
Inheritance diagram for FlutterWindowOwner:

## Instance Methods
(instancetype) | - initWithWindow:flutterViewController:creationRequest:
Instance Methods inherited from <FlutterViewSizingDelegate>
(std::optional< NSSize >) | - minimumViewSize:
(std::optional< NSSize >) | - maximumViewSize:
(void) | - viewDidUpdateContents:withSize:

## Protected Attributes
NSWindow * | _window
FlutterViewController * | _flutterViewController
std::optional< flutter::Isolate > | _isolate
FlutterWindowCreationRequest | _creationRequest
CGSize | _positionerSizeConstraints

## Properties
NSWindow * | window
FlutterViewController * | flutterViewController
BOOL | closeWhenParentResignsKey

## Detailed Description

Definition at line 16 of file FlutterWindowController.mm.

## Method Documentation

## ◆ initWithWindow:flutterViewController:creationRequest:

- (instancetype) initWithWindow: |  | (NSWindow*) | window
flutterViewController: |  | (FlutterViewController*) | viewController
creationRequest: |  | (const FlutterWindowCreationRequest&) | creationRequest

Definition at line 71 of file FlutterWindowController.mm.

83 :(NSWindow*)window
84 flutterViewController:(FlutterViewController*)viewController
85 creationRequest:(const FlutterWindowCreationRequest&)creationRequest {
86 if (self = [super init]) {
87 _window = window;
88 _flutterViewController = viewController;
89 _creationRequest = creationRequest;
90 _isolate = flutter::Isolate::Current();
91 }
92 return self;
93 }
flutter::Isolate::Current
static Isolate Current()
Definition: isolate_scope.cc:9
FlutterViewController
Definition: FlutterViewController.h:73
FlutterWindowOwner::_window
NSWindow * _window
Definition: FlutterWindowController.mm:19
FlutterWindowOwner::_flutterViewController
FlutterViewController * _flutterViewController
Definition: FlutterWindowController.mm:20
FlutterWindowOwner::window
NSWindow * window
Definition: FlutterWindowController.mm:28
FlutterWindowOwner::flutterViewController
FlutterViewController * flutterViewController
Definition: FlutterWindowController.mm:29
FlutterWindowOwner::_isolate
std::optional< flutter::Isolate > _isolate
Definition: FlutterWindowController.mm:21
FlutterWindowOwner::_creationRequest
FlutterWindowCreationRequest _creationRequest
Definition: FlutterWindowController.mm:22
FlutterWindowCreationRequest
Definition: FlutterWindowController.h:60

## Member Data Documentation

## ◆ _creationRequest

- (FlutterWindowCreationRequest) _creationRequest
| protected

Definition at line 22 of file FlutterWindowController.mm.

## ◆ _flutterViewController

- (FlutterViewController*) _flutterViewController
| protected

Definition at line 20 of file FlutterWindowController.mm.

## ◆ _isolate

- (optional<)flutter:
| protected

Definition at line 21 of file FlutterWindowController.mm.

## ◆ _positionerSizeConstraints

- (CGSize) _positionerSizeConstraints
| protected

Definition at line 25 of file FlutterWindowController.mm.

## ◆ _window

- (NSWindow*) _window
| protected

Definition at line 19 of file FlutterWindowController.mm.

## Property Documentation

## ◆ closeWhenParentResignsKey

- (BOOL) closeWhenParentResignsKey
| read write nonatomic assign

Definition at line 30 of file FlutterWindowController.mm.

## ◆ flutterViewController

- (FlutterViewController*) flutterViewController
| read nonatomic assign

Definition at line 29 of file FlutterWindowController.mm.

## ◆ window

- (NSWindow*) window
| read nonatomic assign

Definition at line 28 of file FlutterWindowController.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterWindowController.mm